%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/rivo/uniseg
Version:                0.4.4

%gometa

%global common_description %{expand:
Unicode Text Segmentation, Word Wrapping, and String Width Calculation in Go.}

%global golicenses      LICENSE.txt
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Unicode Text Segmentation, Word Wrapping, and String Width Calculation in Go

License:        MIT
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Wed Aug 14 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
